Skip to main content
`Ctrl`+`K`

# AOCreateMemoryScalableIS

Creates a memory scalable application ordering using two index sets.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOCreateMemoryScalableIS(IS isapp, IS ispetsc, AO *aoout)

Collective

## Input Parameters

- isapp - index set that defines an ordering

- ispetsc - index set that defines another ordering (may be `NULL` to use the natural ordering)

## Output Parameter

- aoout - the new application ordering

## Notes

The index sets `isapp` and `ispetsc` must contain the all the integers 0 to napp-1 (where napp is the length of the index sets) with no duplicates; that is there cannot be any “holes”.

Comparing with `AOCreateBasicIS()`, this routine trades memory with message communication.

## See Also

Application Orderings, Low-level Vector Communication, `AO`, `AOCreateBasicIS()`, `AOCreateMemoryScalable()`, `AODestroy()`

## Level

beginner

## Location

src/vec/is/ao/impls/memscalable/aomemscalable.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages